{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% from 'SyliusResourceBundle:Macros:actions.html.twig' import update %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_deal_backend_list') }}">Deals</a></li>
        <li>{{ 'sylius.breadcrumb.update'|trans }}</a></li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <h1><i class="glyphicon glyphicon-plus"></i> Update deal</h1>
    </div>

    {{ form_errors(form) }}

    <div class="row">
        {{ form_start(form, {'class': 'form-horizontal', 'method': 'POST', 'name': 'crateDeal', 'attr': {'id': 'updateDeal'}}) }}
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>{{ form_row(form.name) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.active) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.locale) }}</td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            <table class="table table-bordered">
            <thead>
                <tr>
                    <th colspan="2">Media</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{% for image in images %}
                            <a href="{% path image, 'big' %}" class="images">{% thumbnail image, 'small' %}</a>
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <td>{{ form_row(form.image) }}</td>
                </tr>
            </tbody>
        </table>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            {{ update() }}
        </div>
        {{ form_end(form) }}
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <script src="{{ asset('bundles/elbotradeproduct/js/jquery.colorbox-min.js') }}"></script>
    <script src="{{ asset('bundles/elbotradeproduct/stylesheets/colorbox.css') }}"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            $(".images").colorbox({ rel: 'images'});
        })
    </script>
{% endblock %}